class EmbedDescriptionField:

    def __init__(
            self,
            name: str,
            value: str,
            inline: bool
    ):
        self._name = name
        self._value = value
        self._inline = inline

    @property
    def name(self) -> str:
        return self._name

    @property
    def value(self) -> str:
        return self._value

    @value.setter
    def value(self, value: str):
        self._value = value

    @property
    def inline(self) -> bool:
        return self._inline
