from bot_core.model.embed_description_field import EmbedDescriptionField


class EmbedDescription:

    def __init__(
            self,
            title: str = None,
            description: str = None,
            url: str = None,
            color: str = None,
            fields: list[EmbedDescriptionField] = None,
            footer: str = None
    ):
        self._title = title
        self._description = description
        self._url = url
        self._color = color
        self._fields = fields
        self._footer = footer

    @property
    def title(self) -> str:
        return self._title

    @title.setter
    def title(self, value: str):
        self._title = value

    @property
    def description(self) -> str:
        return self._description

    @description.setter
    def description(self, value: str):
        self._description = value

    @property
    def url(self) -> str:
        return self._url

    @property
    def color(self) -> str:
        return self._color

    @property
    def fields(self) -> list[EmbedDescriptionField]:
        return self._fields

    @fields.setter
    def fields(self, value: list[EmbedDescriptionField]):
        self._fields = value

    @property
    def footer(self) -> str:
        return self._footer


